# Uses of Class
org.apache.lucene.spatial.prefix.RecursivePrefixTreeStrategy

Packages that use RecursivePrefixTreeStrategy
Package
Description
org.apache.lucene.spatial.composite
Composite strategies.
org.apache.lucene.spatial.prefix
Prefix Tree Strategy.

- ## Uses of RecursivePrefixTreeStrategy in org.apache.lucene.spatial.composite

  Methods in org.apache.lucene.spatial.composite that return RecursivePrefixTreeStrategy
  Modifier and Type
  Method
  Description
  `RecursivePrefixTreeStrategy`
  CompositeSpatialStrategy.`getIndexStrategy()`
  Constructors in org.apache.lucene.spatial.composite with parameters of type RecursivePrefixTreeStrategy
  Modifier
  Constructor
  Description
  ``
  `CompositeSpatialStrategy(String fieldName, RecursivePrefixTreeStrategy indexStrategy, SerializedDVStrategy geometryStrategy)`

- ## Uses of RecursivePrefixTreeStrategy in org.apache.lucene.spatial.prefix

  Subclasses of RecursivePrefixTreeStrategy in org.apache.lucene.spatial.prefix
  Modifier and Type
  Class
  Description
  `class`
  `NumberRangePrefixTreeStrategy`
  A PrefixTree based on Number/Date ranges.